"""This module holds Nissan-specific urls for the ``assessments`` app."""

from macrosurl import url

from . import views


def extend_urlpatterns():
    """Extend the specified globally-defined urlpatterns.

    Returns
    -------
    list of ``macrosurl.url`` instances
        The patterns that should be added to the globally-defined ones.

    """

    urlpatterns = [
        url(
            r'^:jobprofile_uuid/curriculum/lesson-references/import/saba$',
            views.LessonReferencesImportView.as_view(),
            name='saba-lesson-references-import'
        ),
        url(
            r'^certification_results/send_to_lms$',
            views.CertificationResultsBulkSendToLMSView.as_view(),
            name='certification-results-bulk-send-to-lms'
        ),
        url(
            r'^certification_results/skip$',
            views.CertificationResultsBulkSkipView.as_view(),
            name='certification-results-bulk-skip'
        ),
    ]

    return urlpatterns
